checksums.yaml ADDED
@@ -0,0 +1,7 @@
1
+ ---
2
+ SHA256:
3
+ metadata.gz: 82d78abecd40e258d865ee58ae660331a20d2d89827e43757275769c2e13859f
4
+ data.tar.gz: e9842d3ddcb4781698bf605a23d62591d1779de4367b7418f4219cf5d579b502
5
+ SHA512:
6
+ metadata.gz: f83f940a6a651ae41477702889f1dc7e7a5bf1c057c90955736d94990c778f5dde9063ea79d5bb240323e123fa195f91b5118c900959d8c57542af56ea72626f
7
+ data.tar.gz: '09845f4d3cb49b10350302c5a9b7648c4c2bc4659cdc80a9b57335a66e2419328f40edae6bcd53ec41aeee456d2083cc1cb8e47cad96927dd9aff44c659bd0be'
data/.github/setup-rubygems.sh ADDED
@@ -0,0 +1,6 @@
1
+ #!/bin/bash
2
+ set -e
3
+
4
+ mkdir ~/.gem
5
+ echo -e "---\r\n:rubygems_api_key: $RUBYGEMS_API_KEY" > ~/.gem/credentials
6
+ chmod 0600 ~/.gem/credentials
data/.github/workflows/build.yml ADDED
@@ -0,0 +1,29 @@
1
+ name: Build
2
+
3
+ on: [push, pull_request]
4
+
5
+ jobs:
6
+ build:
7
+
8
+ runs-on: ubuntu-latest
9
+
10
+ steps:
11
+ - uses: actions/checkout@v1
12
+ - name: Set up Ruby 2.6
13
+ uses: actions/setup-ruby@v1
14
+ with:
15
+ ruby-version: 2.6.x
16
+ - name: Set up cache
17
+ uses: actions/cache@preview
18
+ with:
19
+ path: vendor/bundle
20
+ key: ${{ runner.os }}-gem-${{ hashFiles('**/breathe.gemspec') }}
21
+ restore-keys: |
22
+ ${{ runner.os }}-gem-
23
+ - name: Build and test with Rake
24
+ run: |
25
+ sudo apt-get update
26
+ sudo apt-get install sqlite3 libsqlite3-dev
27
+ gem install bundler
28
+ bundle install --jobs 4 --retry 3 --path ./vendor/bundle
29
+ bundle exec rake
data/.github/workflows/publish.yml ADDED
@@ -0,0 +1,25 @@
1
+ name: Publish to rubygems
2
+
3
+ on:
4
+ push:
5
+ tags:
6
+ - "*"
7
+
8
+ jobs:
9
+ build:
10
+ runs-on: ubuntu-latest
11
+ steps:
12
+ - uses: actions/checkout@v1
13
+ - name: Set up Ruby 2.6
14
+ uses: actions/setup-ruby@v1
15
+ with:
16
+ ruby-version: 2.6.x
17
+ - name: Setup Rubygems
18
+ env:
19
+ RUBYGEMS_API_KEY: ${{ secrets.RUBYGEMS_API_KEY }}
20
+ run: |
21
+ bash .github/setup-rubygems.sh
22
+ - name: Publish to Rubygems
23
+ run: |
24
+ gem build breathe.gemspec
25
+ gem push "breathe-$(git describe --tags).gem"
data/.gitignore ADDED
@@ -0,0 +1,12 @@
1
+ /.bundle/
2
+ /.yardoc
3
+ /_yardoc/
4
+ /coverage/
5
+ /doc/
6
+ /pkg/
7
+ /spec/reports/
8
+ /tmp/
9
+
10
+ # rspec failure tracking
11
+ .rspec_status
12
+ /.env
data/.rspec ADDED
@@ -0,0 +1,3 @@
1
+ --format documentation
2
+ --color
3
+ --require spec_helper
data/CHANGELOG.md ADDED
@@ -0,0 +1,12 @@
1
+ # Changelog
2
+
3
+ All notable changes to this project will be documented in this file.
4
+
5
+ The format is based on [Keep a Changelog]
6
+
7
+ [0.1.0]
8
+
9
+ - Allow listing of absences
10
+
11
+ [0.1.0]: https://github.com/dxw/breathe_ruby/releases/tag/0.1.0
12
+ [keep a changelog]: https://keepachangelog.com/en/1.0.0/
data/CODE_OF_CONDUCT.md ADDED
@@ -0,0 +1,74 @@
1
+ # Contributor Covenant Code of Conduct
2
+
3
+ ## Our Pledge
4
+
5
+ In the interest of fostering an open and welcoming environment, we as
6
+ contributors and maintainers pledge to making participation in our project and
7
+ our community a harassment-free experience for everyone, regardless of age, body
8
+ size, disability, ethnicity, gender identity and expression, level of experience,
9
+ nationality, personal appearance, race, religion, or sexual identity and
10
+ orientation.
11
+
12
+ ## Our Standards
13
+
14
+ Examples of behavior that contributes to creating a positive environment
15
+ include:
16
+
17
+ * Using welcoming and inclusive language
18
+ * Being respectful of differing viewpoints and experiences
19
+ * Gracefully accepting constructive criticism
20
+ * Focusing on what is best for the community
21
+ * Showing empathy towards other community members
22
+
23
+ Examples of unacceptable behavior by participants include:
24
+
25
+ * The use of sexualized language or imagery and unwelcome sexual attention or
26
+ advances
27
+ * Trolling, insulting/derogatory comments, and personal or political attacks
28
+ * Public or private harassment
29
+ * Publishing others' private information, such as a physical or electronic
30
+ address, without explicit permission
31
+ * Other conduct which could reasonably be considered inappropriate in a
32
+ professional setting
33
+
34
+ ## Our Responsibilities
35
+
36
+ Project maintainers are responsible for clarifying the standards of acceptable
37
+ behavior and are expected to take appropriate and fair corrective action in
38
+ response to any instances of unacceptable behavior.
39
+
40
+ Project maintainers have the right and responsibility to remove, edit, or
41
+ reject comments, commits, code, wiki edits, issues, and other contributions
42
+ that are not aligned to this Code of Conduct, or to ban temporarily or
43
+ permanently any contributor for other behaviors that they deem inappropriate,
44
+ threatening, offensive, or harmful.
45
+
46
+ ## Scope
47
+
48
+ This Code of Conduct applies both within project spaces and in public spaces
49
+ when an individual is representing the project or its community. Examples of
50
+ representing a project or community include using an official project e-mail
51
+ address, posting via an official social media account, or acting as an appointed
52
+ representative at an online or offline event. Representation of a project may be
53
+ further defined and clarified by project maintainers.
54
+
55
+ ## Enforcement
56
+
57
+ Instances of abusive, harassing, or otherwise unacceptable behavior may be
58
+ reported by contacting the project team at pezholio@gmail.com. All
59
+ complaints will be reviewed and investigated and will result in a response that
60
+ is deemed necessary and appropriate to the circumstances. The project team is
61
+ obligated to maintain confidentiality with regard to the reporter of an incident.
62
+ Further details of specific enforcement policies may be posted separately.
63
+
64
+ Project maintainers who do not follow or enforce the Code of Conduct in good
65
+ faith may face temporary or permanent repercussions as determined by other
66
+ members of the project's leadership.
67
+
68
+ ## Attribution
69
+
70
+ This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4,
71
+ available at [http://contributor-covenant.org/version/1/4][version]
72
+
73
+ [homepage]: http://contributor-covenant.org
74
+ [version]: http://contributor-covenant.org/version/1/4/
data/Gemfile ADDED
@@ -0,0 +1,4 @@
1
+ source "https://rubygems.org"
2
+
3
+ # Specify your gem's dependencies in breathe.gemspec
4
+ gemspec
data/Gemfile.lock ADDED
@@ -0,0 +1,82 @@
1
+ PATH
2
+ remote: .
3
+ specs:
4
+ breathe (0.1.0)
5
+ faraday (~> 0.17.0)
6
+
7
+ GEM
8
+ remote: https://rubygems.org/
9
+ specs:
10
+ addressable (2.7.0)
11
+ public_suffix (>= 2.0.2, < 5.0)
12
+ ast (2.4.0)
13
+ coderay (1.1.2)
14
+ crack (0.4.3)
15
+ safe_yaml (~> 1.0.0)
16
+ diff-lcs (1.3)
17
+ dotenv (2.7.5)
18
+ faraday (0.17.0)
19
+ multipart-post (>= 1.2, < 3)
20
+ hashdiff (1.0.0)
21
+ jaro_winkler (1.5.4)
22
+ method_source (0.9.2)
23
+ multipart-post (2.1.1)
24
+ parallel (1.18.0)
25
+ parser (2.6.5.0)
26
+ ast (~> 2.4.0)
27
+ pry (0.12.2)
28
+ coderay (~> 1.1.0)
29
+ method_source (~> 0.9.0)
30
+ public_suffix (4.0.1)
31
+ rainbow (3.0.0)
32
+ rake (10.5.0)
33
+ rspec (3.9.0)
34
+ rspec-core (~> 3.9.0)
35
+ rspec-expectations (~> 3.9.0)
36
+ rspec-mocks (~> 3.9.0)
37
+ rspec-core (3.9.0)
38
+ rspec-support (~> 3.9.0)
39
+ rspec-expectations (3.9.0)
40
+ diff-lcs (>= 1.2.0, < 2.0)
41
+ rspec-support (~> 3.9.0)
42
+ rspec-mocks (3.9.0)
43
+ diff-lcs (>= 1.2.0, < 2.0)
44
+ rspec-support (~> 3.9.0)
45
+ rspec-support (3.9.0)
46
+ rubocop (0.75.1)
47
+ jaro_winkler (~> 1.5.1)
48
+ parallel (~> 1.10)
49
+ parser (>= 2.6)
50
+ rainbow (>= 2.2.2, < 4.0)
51
+ ruby-progressbar (~> 1.7)
52
+ unicode-display_width (>= 1.4.0, < 1.7)
53
+ rubocop-performance (1.5.0)
54
+ rubocop (>= 0.71.0)
55
+ ruby-progressbar (1.10.1)
56
+ safe_yaml (1.0.5)
57
+ standard (0.1.5)
58
+ rubocop (~> 0.75.0)
59
+ rubocop-performance (~> 1.5.0)
60
+ unicode-display_width (1.6.0)
61
+ vcr (5.0.0)
62
+ webmock (3.7.6)
63
+ addressable (>= 2.3.6)
64
+ crack (>= 0.3.2)
65
+ hashdiff (>= 0.4.0, < 2.0.0)
66
+
67
+ PLATFORMS
68
+ ruby
69
+
70
+ DEPENDENCIES
71
+ breathe!
72
+ bundler (~> 2.0)
73
+ dotenv (~> 2.7.5)
74
+ pry (~> 0.12.2)
75
+ rake (~> 10.0)
76
+ rspec (~> 3.0)
77
+ standard (~> 0.1.5)
78
+ vcr (~> 5.0)
79
+ webmock (~> 3.7.6)
80
+
81
+ BUNDLED WITH
82
+ 2.0.2
data/LICENSE.txt ADDED
@@ -0,0 +1,21 @@
1
+ The MIT License (MIT)
2
+
3
+ Copyright (c) 2019 Stuart Harrison
4
+
5
+ Permission is hereby granted, free of charge, to any person obtaining a copy
6
+ of this software and associated documentation files (the "Software"), to deal
7
+ in the Software without restriction, including without limitation the rights
8
+ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
9
+ copies of the Software, and to permit persons to whom the Software is
10
+ furnished to do so, subject to the following conditions:
11
+
12
+ The above copyright notice and this permission notice shall be included in
13
+ all copies or substantial portions of the Software.
14
+
15
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
16
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
17
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
18
+ AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
19
+ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
20
+ OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
21
+ THE SOFTWARE.
data/README.md ADDED
@@ -0,0 +1,92 @@
1
+ # Breathe
2
+
3
+ A Ruby Wrapper for the BreateHR API
4
+
5
+ ## Installation
6
+
7
+ Add this line to your application's Gemfile:
8
+
9
+ ```ruby
10
+ gem 'breathe'
11
+ ```
12
+
13
+ And then execute:
14
+
15
+ ```bash
16
+ bundle
17
+ ```
18
+
19
+ Or install it yourself as:
20
+
21
+ ```bash
22
+ gem install breathe
23
+ ```
24
+
25
+ ## Usage
26
+
27
+ Require the gem:
28
+
29
+ ```ruby
30
+ require "breathe"
31
+ ```
32
+
33
+ Initialize the client like so:
34
+
35
+ ```ruby
36
+ client = Breathe::Client.new(api_key: YOUR_API_KEY)
37
+ ```
38
+
39
+ And use like so
40
+
41
+ ```ruby
42
+ client.absences
43
+ #=> [
44
+ # {
45
+ # "employee"=>{"id"=>123, "email"=>"someone@somewhere.com", "first_name"=>"Jo", "last_name"=>"Bloggs"},
46
+ # "approved_by"=>{"id"=>123, "first_name"=>"Jo", "last_name"=>"Bloggs"},
47
+ # "leave_reason"=>nil,
48
+ # "deducted"=>"4.0",
49
+ # "work_units"=>"4.0",
50
+ # "id"=>456,
51
+ # "start_date"=>"2015-06-18",
52
+ # "half_start"=>false,
53
+ # "half_start_am_pm"=>nil,
54
+ # "end_date"=>"2015-06-23",
55
+ # "half_end"=>false,
56
+ # "half_end_am_pm"=>nil,
57
+ # "cancelled"=>true,
58
+ # "notes"=>"",
59
+ # "type"=>"Holiday",
60
+ # "created_at"=>"2015-05-20T15:53:36+01:00",
61
+ # "updated_at"=>"2015-06-11T13:58:27+01:00"
62
+ # },
63
+ # ...
64
+ #]
65
+ ```
66
+
67
+ You can also pass in arguments like so:
68
+
69
+ ```ruby
70
+ client.absences(per_page: 12, start_date: Date.today)
71
+ #=> [...]
72
+ ```
73
+
74
+ Only the absences endpoint is currently supported. PRs are accepted for more endpoints!
75
+
76
+ ## Development
77
+
78
+ After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.
79
+
80
+ To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).
81
+
82
+ ## Contributing
83
+
84
+ Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/breathe. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.
85
+
86
+ ## License
87
+
88
+ The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
89
+
90
+ ## Code of Conduct
91
+
92
+ Everyone interacting in the Breathe project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/breathe/blob/master/CODE_OF_CONDUCT.md).
data/Rakefile ADDED
@@ -0,0 +1,7 @@
1
+ require "bundler/gem_tasks"
2
+ require "rspec/core/rake_task"
3
+ require "standard/rake"
4
+
5
+ RSpec::Core::RakeTask.new(:spec)
6
+
7
+ task default: %i[standard spec]
data/bin/console ADDED
@@ -0,0 +1,14 @@
1
+ #!/usr/bin/env ruby
2
+
3
+ require "bundler/setup"
4
+ require "breathe"
5
+
6
+ # You can add fixtures and/or initialization code here to make experimenting
7
+ # with your gem easier. You can also use a different console, if you like.
8
+
9
+ # (If you use this, don't forget to add pry to your Gemfile!)
10
+ # require "pry"
11
+ # Pry.start
12
+
13
+ require "irb"
14
+ IRB.start(__FILE__)
data/bin/setup ADDED
@@ -0,0 +1,8 @@
1
+ #!/usr/bin/env bash
2
+ set -euo pipefail
3
+ IFS=#x27;\n\t'
4
+ set -vx
5
+
6
+ bundle install
7
+
8
+ # Do any other automated setup that you need to do here
data/breathe.gemspec ADDED
@@ -0,0 +1,38 @@
1
+ lib = File.expand_path("lib", __dir__)
2
+ $LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
3
+ require "breathe/version"
4
+
5
+ Gem::Specification.new do |spec|
6
+ spec.name = "breathe"
7
+ spec.version = Breathe::VERSION
8
+ spec.authors = ["Stuart Harrison"]
9
+ spec.email = ["pezholio@gmail.com"]
10
+
11
+ spec.summary = "A Ruby Wrapper for the BreateHR API"
12
+ spec.homepage = "http://github.com/dxw/breathe_ruby"
13
+ spec.license = "MIT"
14
+
15
+ spec.metadata["homepage_uri"] = spec.homepage
16
+ spec.metadata["source_code_uri"] = "http://github.com/dxw/breathe_ruby"
17
+ spec.metadata["changelog_uri"] = "http://github.com/dxw/breathe_ruby/blob/master/Changelog.md"
18
+
19
+ # Specify which files should be added to the gem when it is released.
20
+ # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
21
+ spec.files = Dir.chdir(File.expand_path("..", __FILE__)) do
22
+ `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
23
+ end
24
+ spec.bindir = "exe"
25
+ spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
26
+ spec.require_paths = ["lib"]
27
+
28
+ spec.add_development_dependency "bundler", "~> 2.0"
29
+ spec.add_development_dependency "rake", "~> 10.0"
30
+ spec.add_development_dependency "rspec", "~> 3.0"
31
+ spec.add_development_dependency "standard", "~> 0.1.5"
32
+ spec.add_development_dependency "vcr", "~> 5.0"
33
+ spec.add_development_dependency "dotenv", "~> 2.7.5"
34
+ spec.add_development_dependency "pry", "~> 0.12.2"
35
+ spec.add_development_dependency "webmock", "~> 3.7.6"
36
+
37
+ spec.add_dependency "faraday", "~> 0.17.0"
38
+ end
data/lib/breathe.rb ADDED
@@ -0,0 +1,10 @@
1
+ require "faraday"
2
+
3
+ require "breathe/version"
4
+ require "breathe/client"
5
+ require "breathe/absences"
6
+
7
+ module Breathe
8
+ class Error < StandardError; end
9
+ # Your code goes here...
10
+ end
data/lib/breathe/absences.rb ADDED
@@ -0,0 +1,20 @@
1
+ module Breathe
2
+ class Absences
3
+ attr_reader :client
4
+
5
+ def initialize(client)
6
+ @client = client
7
+ end
8
+
9
+ def list(args = {})
10
+ parse_response(client.get("absences", args))
11
+ end
12
+
13
+ private
14
+
15
+ def parse_response(request)
16
+ json = JSON.parse(request.body)
17
+ json["absences"]
18
+ end
19
+ end
20
+ end
data/lib/breathe/client.rb ADDED
@@ -0,0 +1,35 @@
1
+ module Breathe
2
+ class Client
3
+ BASE_URL = "https://api.breathehr.com/v1/"
4
+
5
+ def initialize(api_key:)
6
+ @api_key = api_key
7
+ end
8
+
9
+ def abscences
10
+ @_abscences ||= Abscences.new(connection)
11
+ end
12
+
13
+ def get(url, url_opts = {})
14
+ request(:get, url, url_opts)
15
+ end
16
+
17
+ private
18
+
19
+ attr_reader :api_key, :environment
20
+
21
+ def connection
22
+ Faraday.new(url: BASE_URL) do |faraday|
23
+ faraday.adapter Faraday.default_adapter
24
+ end
25
+ end
26
+
27
+ def request(method, url, url_opts = {})
28
+ connection.send(method) do |req|
29
+ req.url BASE_URL + url, url_opts
30
+ req.headers["Content-Type"] = "application/json"
31
+ req.headers["X-Api-Key"] = api_key
32
+ end
33
+ end
34
+ end
35
+ end
data/lib/breathe/version.rb ADDED
@@ -0,0 +1,3 @@
1
+ module Breathe
2
+ VERSION = "0.1.0"
3
+ end
metadata ADDED
@@ -0,0 +1,191 @@
1
+ --- !ruby/object:Gem::Specification
2
+ name: breathe
3
+ version: !ruby/object:Gem::Version
4
+ version: 0.1.0
5
+ platform: ruby
6
+ authors:
7
+ - Stuart Harrison
8
+ autorequire:
9
+ bindir: exe
10
+ cert_chain: []
11
+ date: 2019-11-01 00:00:00.000000000 Z
12
+ dependencies:
13
+ - !ruby/object:Gem::Dependency
14
+ name: bundler
15
+ requirement: !ruby/object:Gem::Requirement
16
+ requirements:
17
+ - - "~>"
18
+ - !ruby/object:Gem::Version
19
+ version: '2.0'
20
+ type: :development
21
+ prerelease: false
22
+ version_requirements: !ruby/object:Gem::Requirement
23
+ requirements:
24
+ - - "~>"
25
+ - !ruby/object:Gem::Version
26
+ version: '2.0'
27
+ - !ruby/object:Gem::Dependency
28
+ name: rake
29
+ requirement: !ruby/object:Gem::Requirement
30
+ requirements:
31
+ - - "~>"
32
+ - !ruby/object:Gem::Version
33
+ version: '10.0'
34
+ type: :development
35
+ prerelease: false
36
+ version_requirements: !ruby/object:Gem::Requirement
37
+ requirements:
38
+ - - "~>"
39
+ - !ruby/object:Gem::Version
40
+ version: '10.0'
41
+ - !ruby/object:Gem::Dependency
42
+ name: rspec
43
+ requirement: !ruby/object:Gem::Requirement
44
+ requirements:
45
+ - - "~>"
46
+ - !ruby/object:Gem::Version
47
+ version: '3.0'
48
+ type: :development
49
+ prerelease: false
50
+ version_requirements: !ruby/object:Gem::Requirement
51
+ requirements:
52
+ - - "~>"
53
+ - !ruby/object:Gem::Version
54
+ version: '3.0'
55
+ - !ruby/object:Gem::Dependency
56
+ name: standard
57
+ requirement: !ruby/object:Gem::Requirement
58
+ requirements:
59
+ - - "~>"
60
+ - !ruby/object:Gem::Version
61
+ version: 0.1.5
62
+ type: :development
63
+ prerelease: false
64
+ version_requirements: !ruby/object:Gem::Requirement
65
+ requirements:
66
+ - - "~>"
67
+ - !ruby/object:Gem::Version
68
+ version: 0.1.5
69
+ - !ruby/object:Gem::Dependency
70
+ name: vcr
71
+ requirement: !ruby/object:Gem::Requirement
72
+ requirements:
73
+ - - "~>"
74
+ - !ruby/object:Gem::Version
75
+ version: '5.0'
76
+ type: :development
77
+ prerelease: false
78
+ version_requirements: !ruby/object:Gem::Requirement
79
+ requirements:
80
+ - - "~>"
81
+ - !ruby/object:Gem::Version
82
+ version: '5.0'
83
+ - !ruby/object:Gem::Dependency
84
+ name: dotenv
85
+ requirement: !ruby/object:Gem::Requirement
86
+ requirements:
87
+ - - "~>"
88
+ - !ruby/object:Gem::Version
89
+ version: 2.7.5
90
+ type: :development
91
+ prerelease: false
92
+ version_requirements: !ruby/object:Gem::Requirement
93
+ requirements:
94
+ - - "~>"
95
+ - !ruby/object:Gem::Version
96
+ version: 2.7.5
97
+ - !ruby/object:Gem::Dependency
98
+ name: pry
99
+ requirement: !ruby/object:Gem::Requirement
100
+ requirements:
101
+ - - "~>"
102
+ - !ruby/object:Gem::Version
103
+ version: 0.12.2
104
+ type: :development
105
+ prerelease: false
106
+ version_requirements: !ruby/object:Gem::Requirement
107
+ requirements:
108
+ - - "~>"
109
+ - !ruby/object:Gem::Version
110
+ version: 0.12.2
111
+ - !ruby/object:Gem::Dependency
112
+ name: webmock
113
+ requirement: !ruby/object:Gem::Requirement
114
+ requirements:
115
+ - - "~>"
116
+ - !ruby/object:Gem::Version
117
+ version: 3.7.6
118
+ type: :development
119
+ prerelease: false
120
+ version_requirements: !ruby/object:Gem::Requirement
121
+ requirements:
122
+ - - "~>"
123
+ - !ruby/object:Gem::Version
124
+ version: 3.7.6
125
+ - !ruby/object:Gem::Dependency
126
+ name: faraday
127
+ requirement: !ruby/object:Gem::Requirement
128
+ requirements:
129
+ - - "~>"
130
+ - !ruby/object:Gem::Version
131
+ version: 0.17.0
132
+ type: :runtime
133
+ prerelease: false
134
+ version_requirements: !ruby/object:Gem::Requirement
135
+ requirements:
136
+ - - "~>"
137
+ - !ruby/object:Gem::Version
138
+ version: 0.17.0
139
+ description:
140
+ email:
141
+ - pezholio@gmail.com
142
+ executables: []
143
+ extensions: []
144
+ extra_rdoc_files: []
145
+ files:
146
+ - ".github/setup-rubygems.sh"
147
+ - ".github/workflows/build.yml"
148
+ - ".github/workflows/publish.yml"
149
+ - ".gitignore"
150
+ - ".rspec"
151
+ - CHANGELOG.md
152
+ - CODE_OF_CONDUCT.md
153
+ - Gemfile
154
+ - Gemfile.lock
155
+ - LICENSE.txt
156
+ - README.md
157
+ - Rakefile
158
+ - bin/console
159
+ - bin/setup
160
+ - breathe.gemspec
161
+ - lib/breathe.rb
162
+ - lib/breathe/absences.rb
163
+ - lib/breathe/client.rb
164
+ - lib/breathe/version.rb
165
+ homepage: http://github.com/dxw/breathe_ruby
166
+ licenses:
167
+ - MIT
168
+ metadata:
169
+ homepage_uri: http://github.com/dxw/breathe_ruby
170
+ source_code_uri: http://github.com/dxw/breathe_ruby
171
+ changelog_uri: http://github.com/dxw/breathe_ruby/blob/master/Changelog.md
172
+ post_install_message:
173
+ rdoc_options: []
174
+ require_paths:
175
+ - lib
176
+ required_ruby_version: !ruby/object:Gem::Requirement
177
+ requirements:
178
+ - - ">="
179
+ - !ruby/object:Gem::Version
180
+ version: '0'
181
+ required_rubygems_version: !ruby/object:Gem::Requirement
182
+ requirements:
183
+ - - ">="
184
+ - !ruby/object:Gem::Version
185
+ version: '0'
186
+ requirements: []
187
+ rubygems_version: 3.0.3
188
+ signing_key:
189
+ specification_version: 4
190
+ summary: A Ruby Wrapper for the BreateHR API
191
+ test_files: []